## angband 3.0.9

=== Makefile ===
.SILENT:

include mk/rules.mk
include mk/init.mk

SUBDIRS = src lib

include mk/objective.mk
