=== lib/file/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_DATA = \
	dead.txt:${DATA_PATH}/file \
	news.txt:${DATA_PATH}/file

include ../../mk/objective.mk
