=== lib/help/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA =	\
	attack.txt:${DATA_PATH}/help  \
	birth.txt:${DATA_PATH}/help   \
	command.txt:${DATA_PATH}/help \
	dungeon.txt:${DATA_PATH}/help \
	general.txt:${DATA_PATH}/help \
	option.txt:${DATA_PATH}/help  \
	playing.txt:${DATA_PATH}/help \
	version.txt:${DATA_PATH}/help \
	help.hlp:${DATA_PATH}/help    \
	308.txt:${DATA_PATH}/help
