=== src/osx/Makefile ===
.SILENT:

include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = English.lproj

include ../../mk/objective.mk
