## angband 3.0.9b

=== lib/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

SUBDIRS = apex bone data edit file help info pref save user xtra

include ../mk/objective.mk
