=== src/Makefile ===
--- 
+++ 
@@ -19,10 +19,14 @@
 	$(CC) $(OBJECTS) $(LDFLAGS) $(LDADD) -o $@ 
 	@printf "%10s     %-20s\n" LINK $@
 
+clean-prehook:
+	-rm autoconf.h
+
 install-posthook:
 	@if [ "x$(SETEGID)" != "x" ]; then \
 		printf "%10s     $(DESTDIR)$(BINDIR)/angband\n" CHOWN; \
 		if [ "x$(DRY)" = "x" ]; then \
 			chown root:${SETEGID} $(DESTDIR)$(BINDIR)/angband; \
+			chmod g+s $(DESTDIR)$(BINDIR)/angband; \
 		fi; \
 	fi
