=== lib/edit/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA =	                \
	artifact.txt:$(DATA_PATH)/edit  \
	cost_adj.txt:${DATA_PATH}/edit  \
	ego_item.txt:${DATA_PATH}/edit  \
	flavor.txt:${DATA_PATH}/edit    \
	limits.txt:${DATA_PATH}/edit    \
	monster.txt:${DATA_PATH}/edit   \
	object.txt:${DATA_PATH}/edit    \
	p_class.txt:${DATA_PATH}/edit   \
	p_hist.txt:${DATA_PATH}/edit    \
	p_race.txt:${DATA_PATH}/edit    \
	shop_own.txt:${DATA_PATH}/edit  \
	spell.txt:${DATA_PATH}/edit     \
	terrain.txt:${DATA_PATH}/edit   \
	vault.txt:${DATA_PATH}/edit
