=== lib/info/Makefile ===
.SILENT:

include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/info
