=== lib/user/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/user

include ../../mk/objective.mk
