=== lib/xtra/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = font graf sound

include ../../mk/objective.mk
