=== src/osx/English.lproj/Makefile ===
.SILENT:

include ../../../mk/rules.mk
include ../../../mk/init.mk

SUBDIRS = main.nib

include ../../../mk/objective.mk
