=== src/osx/English.lproj/main.nib/Makefile ===
.SILENT:

include ../../../../mk/rules.mk
include ../../../../mk/init.mk

include ../../../../mk/objective.mk
