=== lib/xtra/sound/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

DATA = sound.cfg breath.wav clunk.wav death.wav destroy.wav drop.wav eat.wav \
       flee.wav hallu.wav hit.wav hit1.wav kill.wav kill1.wav level.wav \
       miss.wav miss1.wav money.wav opendoor.wav shutdoor.wav thump.wav \
       vomit.wav
PACKAGE = ${PACKAGE_NAME}/xtra/sound
