=== lib/help/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = 308.txt attack.txt birth.txt command.txt debug.txt dungeon.txt general.txt help.hlp option.txt playing.txt version.txt
PACKAGE = help
