=== lib/xtra/font/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = copying.txt 5x8.fon 6x10.fon 6x12.fon 6x13b.fon 6x13.fon 7x13b.fon \
       7x13b.fon 7x13.fon 8x13b.fon 8x13c.fon 8x13.fon 8x16b.fon 8x16.fon \
       9x15b.fon 9x15.fon 10x17b.fon 10x17.fon 10x20.fon 12x20b.fon 12x20.fon \
       12x24.fon 16x25b.fon 16x25.fon
PACKAGE = xtra/font
