=== lib/xtra/icon/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = att-16.png att-32.png att-128.png att-256.png att-512.png
PACKAGE = xtra/icon
