## angband 3.2.0

=== Makefile ===
MKPATH=mk/
include $(MKPATH)buildsys.mk

SUBDIRS = src lib

clean-posthook:
	-rm config.status config.log
