=== lib/pref/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = flvr-dvg.prf font-gtk.prf font-win.prf graf-gtk.prf graf-sdl.prf \
       pref-mac.prf pref-x11.prf xtra-new.prf flvr-new.prf font-mac.prf \
       font-x11.prf graf-mac.prf graf-win.prf message.prf pref.prf      \
       user-mac.prf xtra-xxx.prf flvr-xxx.prf font.prf font-xxx.prf     \
       graf-new.prf graf-x11.prf pref-sdl.prf user.prf     \
       font-gcu.prf font-sdl.prf graf-dvg.prf graf.prf graf-xxx.prf     \
       pref-gcu.prf pref-win.prf xtra-dvg.prf \
       flvr-nmd.prf graf-nmd.prf xtra-nmd.prf
PACKAGE = pref
