=== src/gtk/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk
