=== lib/xtra/graf/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = 8x16.bmp 8x16.png 16x16.bmp 16x16.png 32x32.png 8x13.bmp 8x8.bmp 8x8.png backgrnd.bmp mask.bmp mask8x16.bmp
PACKAGE = xtra/graf
