## angband 3.3.0-maemo2

=== debian/changelog ===
angband (1:3.3.0-maemo2) unstable; urgency=low

  * added desktop-entry

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 07 Sep 2011 22:43:10 -0000

angband (1:3.3.0-maemo1) unstable; urgency=low

  * ctrl+e=escape

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 07 Sep 2011 22:07:10 -0000

angband (1:3.1.2v2-2) unstable; urgency=low

  * Added missing build-depends on libglade2.0-dev.
  * Added debian/source/format per policy.

 -- Chris Carr <rantingman@gmail.com>  Mon, 05 Apr 2010 18:30:10 -0000

angband (1:3.1.2v2-1) unstable; urgency=low

  * New upstream release. Angband 3.1.x is a development series which
    contains a number of major changes - see the changelog for details.
  * Package now built --with-private-dirs, which enables Gtk support at the
    expense of a system-wide score file. Score, save and user pref files now
    in ~/.angband/Angband/ (any old save, pref and spoiler files are left in 
    /var/games/angband for manual cleanup). To avoid using Gtk, start the 
    game with the -mx11 or -msdl options (-mgcu for console mode).
  * Added reference to recovering old files to README.debian
							Closes: #573117
  * ".raw" files removed upstream.			Closes: #542346
							Closes: #547259
  * Minor changes to documentation pending full rewrite.
							Closes: #542348
  * Corrected all uses of "lite" and "hilite" except the one on the 
    resistances display screen.				Closes: #547260
  * Added recommendation for xfonts-base.		Closes: #566268
  * Updated Standards-Version. No changes.

 -- Chris Carr <rantingman@gmail.com>  Sun, 18 Mar 2010 18:19:40 -0000

angband (1:3.1.1.1626-1) unstable; urgency=low

  * New maintainer. Added Manoj Srivastava to Uploaders.
  * New upstream release. Angband 3.1.x is a development series which
    contains a number of major changes - see the changelog for details.
  * This package is now entirely DFSG-compliant - moved to main. To achieve
    this, the sounds have been removed. They will be replaced in a separate
    angband-audio package.
                                                        Closes: #511368
  * Xaw support removed upstream.

 -- Chris Carr <rantingman@gmail.com>  Mon, 17 Aug 2009 21:10:02 -0000

angband (1:3.0.9b-3) unstable; urgency=medium

  * pre-inst fails on upgrade from version 1:3.0.5-1, as we are not
    checking /var/lib/games/angband/save has any files in it - if it
    doesn't, then you see the failure mode described. Analysis and fix
    from Matthew Vernon. This closes an important bug.  Closes:  #494199
  * /var/games/angband/data/spell.raw has wrong permissions. We set the
    correct permission on 4 other directories in the /var/games/angband/
    hierarchy, and really, this chmod g+w was a long standing bug. While
    not labeled important, this is a minimal change, and is consistent
    with the handling of other game files. Thanks to Chris Carr.
                                                        Closes: #490871
  * Updated Standards-Version. No changes.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 04 Sep 2008 11:13:05 -0500

angband (1:3.0.9b-2) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.
  * Added support for the SDL mode display support into angband.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 11:11:35 -0500

angband (1:3.0.9b-1) unstable; urgency=low

  * New upstream release.  Angband 3.0.9b is a bugfix version of 3.0.9.
    It makes the following changes on top of those mentioned below:
     - Monsters are back up to their pre-3.0.9 levels of smartness.
     - Store UI behaviour changed so that pressing Enter no longer
       initiates buying.
     - Fix detection of curses libraries using autoconf.
     - Fix broken install using autoconf.
     - Add the tvals for oil and dragon armor to the tval squelch list.
     - Once again dump modified colour information to pref files.
     - Fix warnings when compiling the SDL port.
     - Fix up roguelike keys in the store (vs. 3.0.9a)

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Apr 2008 18:47:33 -0500

angband (1:3.0.9-1) unstable; urgency=low

  * New upstream release. This is a fairly major update, and should work
    better than the older versions.                       Closes: #437001
  * Added new, working watch file, based on rephial site. Closes: #450258
  * Quote file names in preinst.                          Closes: #410363

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 07 Feb 2008 19:17:48 -0600

angband (1:3.0.6-4) unstable; urgency=low

  * Bug fix: "angband: error on upgrade: ... scores.raw': No such file or
    directory", thanks to Ross Boylan                     (Closes: #374580).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jun 2006 00:57:42 -0500

angband (1:3.0.6-3) unstable; urgency=low

  * Ack NMU.
  * Updated copyright files.
  * Bug fix: "angband: Upgrade woody-&gt;sarge has lost high-score file",
    thanks to Matthew Vernon. Now try to recover from the
    /var/lib/games/angbane to the /var/games/angband move, and try to
    clear out the obsolete cruft on install.             (Closes: #370223).
  * Bug fix: "diff for 1:3.0.6-2.1 NMU", thanks to Steinar H. Gunderson
    Applied.                                             (Closes: #372653).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Jun 2006 15:24:42 -0500

angband (1:3.0.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * List libxaw7-dev as preferred build-dependency for libxaw[678]-dev, as
    libxaw8-dev no longer exists in unstable; fixes FTBFS. (Closes: #370085)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Jun 2006 19:26:54 +0200

angband (1:3.0.6-2) unstable; urgency=low

  * Updated build dependencies
  * Bug fix: "failure to purge", thanks to Sebastian Rittau. Make sure we
    get rid of all the add-on info files as well.            (Closes: #345593).


