## angband 3.3.0-maemo3

=== debian/changelog ===
angband (1:3.3.0-maemo3) unstable; urgency=low

  * Packeting issue fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 08 Sep 2011 10:56:10 -0000
