## angband 3.3.0-maemo4

=== debian/changelog ===
angband (1:3.3.0-maemo4) unstable; urgency=low

  * desktop-entry fixed
  * graphics=1 as default

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 08 Sep 2011 14:34:10 -0000
