=== debian/rules ===
--- 
+++ 
@@ -75,15 +75,15 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/<packagename>
-	$(MAKE) DESTDIR=`pwd`/debian/angband install
+	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
 	#!/bin/sh
 	CURDIR=$1
 
-
+	#icon
 	install -d  ${CURDIR}/debian/angband/usr/share/pixmaps 
 	install ${CURDIR}/lib/xtra/icon/att-128.png  ${CURDIR}/debian/angband/usr/share/pixmaps/angband.png
 
-	#menu 
+	#menu
 	install -d ${CURDIR}/debian/angband/usr/share/applications/hildon
 	install ${CURDIR}/debian/angband.desktop ${CURDIR}/debian/angband/usr/share/applications/hildon
